> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/zh-hant/api-documentation/transaction-screening/batch-screen-transactions.md).

# 批量筛查交易

批量交易风险筛查作为异步任务执行。每笔交易都会生成唯一的 Task ID，用户可以通过任务 API 获取详细结果。

## 筛查多笔交易

> 提交批量交易筛查任务并返回任务 ID。

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"交易筛查","description":"交易筛查与查询 API。"}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"生产环境服务器"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"TransactionScreen":{"type":"object","required":["chainId","hash","direction"],"properties":{"chainId":{"type":"integer","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains)。"},"hash":{"type":"string","description":"交易哈希。"},"direction":{"type":"string","description":"交易方向。"},"toAddress":{"type":"string","description":"用户的入金地址（用于入金）或出金地址（用于出金）。"},"transferIndex":{"type":"integer","description":"该转账在交易中的索引。可选；当 direction 和 toAddress 不能唯一定位某笔转账时，用于指定具体转账。对于 BTC 交易，该字段表示 toAddressIndex。若省略且匹配到多笔转账，则使用第一笔。"},"includeDetails":{"type":"boolean","description":"已废弃。是否在每条告警中包含旧版 riskDetail 字段。默认为 false。当前仍可使用，预计于 2026-08-31 正式下线。","deprecated":true}}},"ErrorCodeMsg":{"properties":{"code":{"type":"integer"},"msg":{"type":"string"}}},"TransactionTasksResult":{"type":"object","properties":{"taskIds":{"type":"array","description":"任务 ID 列表。","items":{"type":"string","description":"任务唯一标识。"}}}}}},"paths":{"/transactions/screen":{"post":{"tags":["交易筛查"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"transactions":{"type":"array","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/TransactionScreen"},"description":"待筛查交易列表。每次请求可传 1 到 100 笔交易。"}}}}}},"responses":{"200":{"description":"成功响应","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/code","description":"该请求的状态码。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages)。"},"msg":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/msg","description":"该请求的 message。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages)。"},"data":{"$ref":"#/components/schemas/TransactionTasksResult"}}}}}}},"description":"提交批量交易筛查任务并返回任务 ID。","summary":"筛查多笔交易"}}}}
```
